Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyMemberDoc

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

All Implemented Interfaces:
  `Comparable<GroovyDoc>`, `GroovyDoc`, `GroovyMemberDoc`, `GroovyProgramElementDoc`

Direct Known Subclasses:
  `SimpleGroovyExecutableMemberDoc`, `SimpleGroovyFieldDoc`

public class SimpleGroovyMemberDoc extends SimpleGroovyAbstractableElementDoc implements GroovyMemberDoc
Base implementation for documented members declared within a class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected GroovyClassDoc`
  `belongsToClass`
  The class that declares this member.

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleGroovyMemberDoc(String name, GroovyClassDoc belongsToClass)`
  Creates a member owned by the supplied class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `commentText()`
  Returns the processed comment text for this element.
  `String`
  `firstSentenceCommentText()`
  Returns the first sentence of the processed comment text.
  `boolean`
  `isSynthetic()`
  Indicates whether this member was synthesized rather than declared directly in source.

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

  `isAbstract, setAbstract`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

  `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `calculateFirstSentence, compareTo, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isHidden, isIncluded, isInterface, isMarkdown, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setHidden, setMarkdown, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

  `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- ## Field Details

  - ### belongsToClass

    protected GroovyClassDoc belongsToClass
    The class that declares this member.

- ## Constructor Details

  - ### SimpleGroovyMemberDoc

    public SimpleGroovyMemberDoc(String name, GroovyClassDoc belongsToClass)
    Creates a member owned by the supplied class.
    Parameters:
      `name` - the member name
      `belongsToClass` - the declaring class

- ## Method Details

  - ### isSynthetic

    public boolean isSynthetic()
    Indicates whether this member was synthesized rather than declared directly in source.
    Specified by:
      `isSynthetic` in interface `GroovyMemberDoc`
    Returns:
      `true` if this member is synthetic

  - ### firstSentenceCommentText

    public String firstSentenceCommentText()
    Returns the first sentence of the processed comment text.
    Specified by:
      `firstSentenceCommentText` in interface `GroovyDoc`
    Overrides:
      `firstSentenceCommentText` in class `SimpleGroovyDoc`
    Returns:
      the first sentence summary

  - ### commentText

    public String commentText()
    Returns the processed comment text for this element.
    Specified by:
      `commentText` in interface `GroovyDoc`
    Overrides:
      `commentText` in class `SimpleGroovyDoc`
    Returns:
      the rendered comment text